> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1app marketplaceapps



## OpenAPI

````yaml /api-reference/openapi.json post /v1/app-marketplace/apps
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/app-marketplace/apps:
    post:
      tags:
        - AppMarketplaceApps
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationsMarketplaceAppCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApplicationsMarketplaceAppCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApplicationsMarketplaceAppCreateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    ApplicationsMarketplaceAppCreateRequest:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        translations:
          type: array
          items:
            $ref: >-
              #/components/schemas/AppMarketplaceAppTranslationsMarketplaceAppTranslationCreateRequest
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        clientId:
          type: string
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        callbackUrl:
          type: string
          nullable: true
        revokeUrl:
          type: string
          nullable: true
        appUrl:
          type: string
          nullable: true
        privacyPolicyUrl:
          type: string
          nullable: true
        termsAndConditionsUrl:
          type: string
          nullable: true
        websiteUrl:
          type: string
          nullable: true
        support:
          $ref: '#/components/schemas/ApplicationsMarketplaceAppSupport'
        scopes:
          type: array
          items:
            type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    AppMarketplaceAppTranslationsMarketplaceAppTranslationCreateRequest:
      type: object
      properties:
        locale:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        privacyPolicyUrl:
          type: string
          nullable: true
        termsAndConditionsUrl:
          type: string
          nullable: true
        websiteUrl:
          type: string
          nullable: true
        supportEmail:
          type: string
          nullable: true
        supportPhone:
          type: string
          nullable: true
        supportWebsiteUrl:
          type: string
          nullable: true
      additionalProperties: false
    ApplicationsMarketplaceAppSupport:
      type: object
      properties:
        supportWebsiteUrl:
          type: string
          nullable: true
        supportEmail:
          type: string
          nullable: true
        supportPhone:
          type: string
          nullable: true
      additionalProperties: false

````